import { Base, Type } from "igniteui-angular-core";
import { ST_SizeRepresents } from "./ST_SizeRepresents";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
/**
 * @hidden
 */
export declare class CT_SizeRepresents extends Base {
    static $t: Type;
    private c;
    constructor();
    b: ST_SizeRepresents;
    static e(a: XmlPartManagerBase, b: ST_SizeRepresents): {
        p1: ST_SizeRepresents;
    };
    static f(a: XmlPartManagerBase, b: string, c: ST_SizeRepresents): void;
    toString(): string;
}
